import vl from 'vega-lite-api';
export const viz = vl.markCircle({ opacity: 0.3 }).encode(
  vl
    .x()
    .fieldT('year built')
    .scale({ zero: false }),
  vl
    .y()
    .fieldQ('price')
    .scale({ zero: false, type: 'log', nice: false }),
  vl.color().fieldN('floors'),
  vl.size().fieldQ('sqft living'),
  vl.tooltip().fieldN('price')
);
